Table of Contents

Module: http | Twisted-0.19.0/twisted/protocols/http.py
--- | ---
HyperText Transfer Protocol implementation. This is used by twisted.web.
Imported modules |
--- | ---
import base64 import basic from cStringIO import StringIO import calendar import cgi import protocol import socket import string import sys import tempfile import time from twisted.internet import interfaces, reactor from twisted.python import log import urllib
Functions |
_resetLogDateTime datetimeToLogString datetimeToString fromChunk stringToDatetime timegm toChunk
| _resetLogDateTime
    _resetLogDateTime ()
| datetimeToLogString
    datetimeToLogString ( msSinceEpoch=None )
Convert seconds since epoch to log datetime string.
| datetimeToString
    datetimeToString ( msSinceEpoch=None )
Convert seconds since epoch to HTTP datetime string.
| fromChunk
    fromChunk ( data )
### Convert chunk to string. Returns tuple (result, remaining), may raise ValueError.
Exceptions |
--- | ---
ValueError, "chunk must end with CRLF"
| stringToDatetime
    stringToDatetime ( dateString )
Convert an HTTP date string to seconds since epoch.
| timegm
    timegm (
            year,
            month,
            day,
            hour,
            minute,
            second,
            )
Convert time tuple in GMT to seconds since epoch, GMT
| toChunk
    toChunk ( data )
Convert string to a chunk.
Classes |
HTTPChannel | A receiver for HTTP requests.
HTTPClient | A client for HTTP 1.0
HTTPFactory | Factory for HTTP server.
Request | A HTTP request.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0